#!/bin/bash

commit=00ccc2a0454058f0cd1964d0703d8322f78af049

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone git://github.com/samccone/monocle.git
cd monocle
git archive --format=tar ${commit} test/ \
    | bzip2 > "$pwd"/tests-${commit}.tar.bz2
popd
